openlmis-cce

Clone Tools
  • last updated a few minutes ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Bump nunjucks and raml2html

Bumps [nunjucks](https://github.com/mozilla/nunjucks) to 3.2.4 and updates ancestor dependency [raml2html](https://github.com/raml2html/raml2html). These dependencies need to be updated together.

Updates `nunjucks` from 2.4.3 to 3.2.4

- [Release notes](https://github.com/mozilla/nunjucks/releases)

- [Changelog](https://github.com/mozilla/nunjucks/blob/master/CHANGELOG.md)

- [Commits](https://github.com/mozilla/nunjucks/compare/2.4.3...v3.2.4)

Updates `raml2html` from 3.0.1 to 7.8.0

- [Release notes](https://github.com/raml2html/raml2html/releases)

- [Changelog](https://github.com/raml2html/raml2html/blob/master/changelog.md)

- [Commits](https://github.com/raml2html/raml2html/compare/3.0.1...7.8.0)

---

updated-dependencies:

- dependency-name: nunjucks

dependency-type: indirect

- dependency-name: raml2html

dependency-type: direct:development

...

Signed-off-by: dependabot[bot] <support@github.com>

Bump async from 2.0.1 to 2.6.4

Bumps [async](https://github.com/caolan/async) from 2.0.1 to 2.6.4.

- [Release notes](https://github.com/caolan/async/releases)

- [Changelog](https://github.com/caolan/async/blob/v2.6.4/CHANGELOG.md)

- [Commits](https://github.com/caolan/async/compare/v2.0.1...v2.6.4)

---

updated-dependencies:

- dependency-name: async

dependency-type: indirect

...

Signed-off-by: dependabot[bot] <support@github.com>

Bump color-string and raml2html

Bumps [color-string](https://github.com/Qix-/color-string) to 1.9.1 and updates ancestor dependency [raml2html](https://github.com/raml2html/raml2html). These dependencies need to be updated together.

Updates `color-string` from 0.3.0 to 1.9.1

- [Release notes](https://github.com/Qix-/color-string/releases)

- [Changelog](https://github.com/Qix-/color-string/blob/master/CHANGELOG.md)

- [Commits](https://github.com/Qix-/color-string/compare/0.3.0...1.9.1)

Updates `raml2html` from 3.0.1 to 7.8.0

- [Release notes](https://github.com/raml2html/raml2html/releases)

- [Changelog](https://github.com/raml2html/raml2html/blob/master/changelog.md)

- [Commits](https://github.com/raml2html/raml2html/compare/3.0.1...7.8.0)

---

updated-dependencies:

- dependency-name: color-string

dependency-type: indirect

- dependency-name: raml2html

dependency-type: direct:development

...

Signed-off-by: dependabot[bot] <support@github.com>

Bump set-value and union-value

Bumps [set-value](https://github.com/jonschlinkert/set-value) and [union-value](https://github.com/jonschlinkert/union-value). These dependencies needed to be updated together.

Updates `set-value` from 2.0.0 to 2.0.1

- [Release notes](https://github.com/jonschlinkert/set-value/releases)

- [Commits](https://github.com/jonschlinkert/set-value/compare/2.0.0...2.0.1)

Updates `union-value` from 1.0.0 to 1.0.1

- [Release notes](https://github.com/jonschlinkert/union-value/releases)

- [Commits](https://github.com/jonschlinkert/union-value/compare/1.0.0...1.0.1)

---

updated-dependencies:

- dependency-name: set-value

dependency-type: indirect

- dependency-name: union-value

dependency-type: indirect

...

Signed-off-by: dependabot[bot] <support@github.com>

Bump lodash from 4.17.11 to 4.17.21

Bumps [lodash](https://github.com/lodash/lodash) from 4.17.11 to 4.17.21.

- [Release notes](https://github.com/lodash/lodash/releases)

- [Commits](https://github.com/lodash/lodash/compare/4.17.11...4.17.21)

---

updated-dependencies:

- dependency-name: lodash

dependency-type: indirect

...

Signed-off-by: dependabot[bot] <support@github.com>

Bump minimist from 1.2.0 to 1.2.8

Bumps [minimist](https://github.com/minimistjs/minimist) from 1.2.0 to 1.2.8.

- [Release notes](https://github.com/minimistjs/minimist/releases)

- [Changelog](https://github.com/minimistjs/minimist/blob/main/CHANGELOG.md)

- [Commits](https://github.com/minimistjs/minimist/compare/v1.2.0...v1.2.8)

---

updated-dependencies:

- dependency-name: minimist

dependency-type: indirect

...

Signed-off-by: dependabot[bot] <support@github.com>

Bump decode-uri-component from 0.2.0 to 0.2.2

Bumps [decode-uri-component](https://github.com/SamVerschueren/decode-uri-component) from 0.2.0 to 0.2.2.

- [Release notes](https://github.com/SamVerschueren/decode-uri-component/releases)

- [Commits](https://github.com/SamVerschueren/decode-uri-component/compare/v0.2.0...v0.2.2)

---

updated-dependencies:

- dependency-name: decode-uri-component

dependency-type: indirect

...

Signed-off-by: dependabot[bot] <support@github.com>

Bumped version to 1.3.3-SNAPSHOT

Release 1.3.2

OLMIS-7568 Use openlmis/service-base:6.1

OLMIS-7568 Release 1.3.2-RC2

OLMIS-7568 Use openlmis/dev:7

Released cce 1.3.2-RC1

OLMIS-7502 Fix codestyle

OLMIS-7502 Fix codestyle

OLMIS-7502 Fix codestyle

OLMIS-7502 Fix codestyle

OLMIS-7502 PUT /api/inventoryItems/{id}/transfer requires CCE_INVENTORY_TRANSFER on source and target program

OLMIS-7502 Add gradlew.bat

OLMIS-7502 Fix integration tests
OLMIS-7502 Fix integration tests
OLMIS-7502 Fix integration tests

OLMIS-7502 Add PUT /api/inventoryItems/{id}/transfer endpoint

    • binary
    /gradle/wrapper/gradle-wrapper.jar
    • -0
    • +5
    /gradle/wrapper/gradle-wrapper.properties
    • -0
    • +21
    /src/main/resources/api-definition.yaml
    • -0
    • +25
    /src/main/resources/schemas/inventoryItemTransfer.json
OLMIS-7501: Added CCE_INVENTORY_TRANSFER right
OLMIS-7501: Added CCE_INVENTORY_TRANSFER right
OLMIS-7501: Added CCE_INVENTORY_TRANSFER right

OLMIS-7472 Upgrade postgres to v12

OLMIS-7472 Revert use postgres v12

This reverts commit b3b806a5bed75f46a3d16754b99fd710a779fe4d.